Web lists-archives.com

Re: [Samba] Samba upgrade from 4.6 to 4.7




On 10/4/2017 10:17 AM, Harsh Kukreja via samba wrote:
I would suggest setting up a new server, join this to the domain as a
new DC, transfer the FSMO roles to this and then demote the old DC.
This way, you can change the OS and the Samba version at the same time.

Rowland

Thanks Rowland

I like to ask when I build a new samba 4.7 server on Ubuntu 16.04 then do I
have to join it as domain member to the existing DC and then transfer FSMO
roles.

Can you please help with the steps to install Sernet Samba 4.7 package on
Ubuntu 16.04.


On Wed, Oct 4, 2017 at 3:41 PM, Rowland Penny via samba <
samba@xxxxxxxxxxxxxxx> wrote:

On Wed, 4 Oct 2017 09:08:30 -0400
lingpanda101 via samba <samba@xxxxxxxxxxxxxxx> wrote:

On 10/4/2017 3:59 AM, Harsh Kukreja via samba wrote:
Hello

I have a Samba 4.6.7 server installed with the sernet package on
Ubuntu 12.04 precise which I like to upgrade to 4.7 and also I want
to do a release upgrade for Ubuntu from 12.04 to 14.04.

Before I continue I like know if I should first do a release
upgrade for Ubuntu or do I have to upgrade Samba to 4.7 first and
then run the release upgrade.

Thanks n Regards

*Harsh Kukreja *Systems Administrator
*International University of Namibia *Tel: 061-4336000 - E-mail:
h.kukreja @ium.edu.na - Web:
*http://www.ium.edu.na <http://www.ium.edu.na/>*Private Bag
14005,Bachbrech. 21-31 Hercules Street, Dorado Park, Windhoek,
NAMIBIA
I'm not sure if it matters as nothing is mentioned in the release
notes. However I will mention there is dependencie changes going from
Ubuntu 12.04 to 14.04.

"libgnutls-dev has been replace by libgnutls28-dev on Debian 8 Jessie
and Ubuntu >=14.04"


I would suggest setting up a new server, join this to the domain as a
new DC, transfer the FSMO roles to this and then demote the old DC.
This way, you can change the OS and the Samba version at the same time.

Rowland

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba

Take note that I believe Ubuntu 16.04 uses systemd and not upstart any longer. Will need to modify your startup script for samba.

--
--
James


--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba